Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.strategy.accounting
Class LBGRelativePowerAccountant

    java.lang.Object
      lbg.peer.strategy.accounting.LBGRelativePowerAccountant

All Implemented Interfaces:
  BarteringAccountantPolicy

    public class LBGRelativePowerAccountant

extends java.lang.Object
implements BarteringAccountantPolicy

Implementation note: this implementation relies on TaskManager and Task output information.

Author:
  Cyril Briquet

Constructor Summary
`LBGRelativePowerAccountant(Peer managed_peer)`

Method Summary
`double` | `evaluateConsumption(Task t, long xstart_time)` BarteringAccountant implementation.
`double` | `evaluateSupplying(Task t, long xstart_time)` BarteringAccountant implementation.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LBGRelativePowerAccountant

    public LBGRelativePowerAccountant(Peer managed_peer)
                               throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### evaluateSupplying

    public double evaluateSupplying(Task t,
                                    long xstart_time)
                             throws GridException

  BarteringAccountant implementation.

  Specified by:
    `evaluateSupplying` in interface `BarteringAccountantPolicy`
  Throws:
    `GridException`

### evaluateConsumption

    public double evaluateConsumption(Task t,
                                      long xstart_time)
                               throws GridException

  BarteringAccountant implementation.

  Specified by:
    `evaluateConsumption` in interface `BarteringAccountantPolicy`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.